<app-loading *ngIf="isLoading"></app-loading>
<nz-card [formGroup]="employeeForm" class="card-personal-info" *ngIf="checkDisplayScreen">
  <h3>{{ 'development.proposed-unit.section.personalInfo' | translate }}</h3>
  <div [nzGutter]="[32, 24]" nz-row>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.empCode' | translate
        }}</span
      ><br />
      <span class="text-label">{{ employeeForm.get('empCode')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.empName' | translate
        }}</span
      ><br />
      <span class="text-label">{{ employeeForm.get('fullName')?.value }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.detail.employee.joinCompanyDate' | translate
        }}</span
      ><br />
      <span class="text-label">{{
        employeeForm.get('joinCompanyDate')?.value
        }}</span>
    </div>
    <div class="gutter-row" nz-col nzLg="6">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.detail.employee.birthday' | translate
        }}</span
      ><br />
      <span class="text-label">{{
        employeeForm.get('dateOfBirth')?.value
        }}</span>
    </div>

    <!-- Row 2 -->

    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.title' | translate
        }}</span
      ><br />
      <span class="text-label">{{ employeeForm.get('jobName')?.value }}</span>
    </div>

    <div class="gutter-row" nz-col nzLg="6" class="seeMore">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.level' | translate
        }}</span
      ><br />
      <span class="text-label">{{ employeeForm.get('positionLevel')?.value }}</span>
    </div>

    <div class="gutter-row" nz-col nzLg="12" class="seeMore">
      <span class="emp-infoTitle">{{
        'development.proposed-unit.table.unit' | translate
        }}</span
      ><br />
      <span class="text-label">{{
        employeeForm.get('orgPathName')?.value
        }}</span>
    </div>

    <ng-container *ngIf="isSeeMore">

      <!-- Row 3 -->

      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentTitleName')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.partTimeTitle' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentTitleName')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentTitleName')?.value">
      </div>

      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentUnitPathName')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.unitTimeTitle' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentUnitPathName')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentUnitPathName')?.value">
      </div>

      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentTitleName2')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.partTimeTitle2' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentTitleName2')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentTitleName2')?.value">
      </div>

      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="employeeForm.get('concurrentUnitPathName2')?.value">
        <span class="emp-infoTitle">
          {{ 'development.proposed-unit.table.unitTimeTitle2' | translate }}</span
        ><br/>
        <span class="text-label">{{ employeeForm.get('concurrentUnitPathName2')?.value }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore" *ngIf="!employeeForm.get('concurrentUnitPathName2')?.value">
      </div>

      <!-- Row 3 -->
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.majorLevelName' | translate
          }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('majorLevelName')?.value
          }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.schoolName' | translate
          }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('schoolName')?.value
          }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.facultyName' | translate
          }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('facultyName')?.value
          }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.qualificationEnglish'
            | translate
          }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('qualificationEnglish')?.value
          }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.positionSeniorityMB'
            | translate
          }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('seniorityName')?.value
          }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.positionSeniority'
            | translate
          }}</span
        ><br />
        <span class="text-label">{{
          employeeForm.get('posSeniorityName')?.value
          }}</span>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          dataTableEmpDetail?.periodNameT2 ? ('development.proposed-unit.detail.employee.T2' | translate) + dataTableEmpDetail?.periodNameT2 : ('development.proposed-unit.detail.employee.T2' | translate)
          }}</span
        ><br/>
        <label class="text-label">{{
          employeeForm.get('semesterGradeT2')?.value
          }} {{ employeeForm.get('semesterRankT2')?.value ? ('(' + employeeForm.get('semesterRankT2')?.value + ')') : ''}}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          dataTableEmpDetail?.periodNameT1 ? ('development.proposed-unit.detail.employee.T1' | translate) + dataTableEmpDetail?.periodNameT1 : ('development.proposed-unit.detail.employee.T1' | translate)
          }}</span
        ><br/>
        <label class="text-label">{{
          employeeForm.get('semesterGradeT1')?.value
          }} {{ employeeForm.get('semesterRankT1')?.value ? ('(' + employeeForm.get('semesterRankT1')?.value + ')') : ''}}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.nearestDiscipline'
            | translate
          }}</span
        ><br />
        <label class="text-label">{{
          employeeForm.get('nearestDiscipline')?.value
          }}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.endOfDisciplinaryDuration'
            | translate
          }}</span
        ><br />
        <label class="text-label">{{
          employeeForm.get('endOfDisciplinaryDuration')?.value
          }}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <span class="emp-infoTitle">{{
          'development.proposed-unit.detail.employee.ratedCapacity' | translate
          }}</span
        ><br />
        <label class="text-label">{{
          employeeForm.get('ratedCapacity')?.value
          }}</label>
      </div>
      <div class="gutter-row" nz-col nzLg="6" class="seeMore">
        <label class="partyDate" formControlName="partyDate" nz-checkbox [nzDisabled] = 'true'>{{
          'development.proposed-unit.detail.employee.partyDate' | translate
          }}</label>
      </div>
    </ng-container>
  </div>
  <div [nzGutter]="[32, 48]" nz-row>
    <div class="gutter-row" nz-col nzLg="24"></div>
    <div class="gutter-row" nz-col nzLg="8"></div>
    <div class="gutter-row text-center" nz-col nzLg="8">
      <mb-button
        mbButtonAvailableStyle="BORDER"
        mbButtonSize="VERY_LARGE"
        (click)="expandInfoEmp()"
      >
        <span>
          <em nz-icon [nzType]="expandInfoEmpText()"></em>
        </span>
      </mb-button>
    </div>
    <div class="gutter-row" nz-col nzLg="8"></div>
  </div>
</nz-card>

<nz-card id="tab1" *ngIf="checkDisplayScreen" [formGroup]="formSuggestionsPersonal">
  <div nz-row [nzGutter]="[40, 32]">
    <div nz-col nzLg="20">
      <h3>{{ 'development.proposed-unit.table.suggestionsPersonal' | translate }}</h3>
    </div>
    <div nz-col nzLg="4" *ngIf="typeAction !== screenType.create && conditionViolations?.length > 0">
      <div>
        <nz-tag [nzColor]="displayConditionViolation()?.color" class="commentCard__tag">
          {{ displayConditionViolation()?.label }}
        </nz-tag>
      </div>
    </div>
  </div>

  <h4 *ngIf=" +formGroupDetail === ConstantsFormGroup.TGCV">{{ 'development.proposed-unit.table.suggestion' | translate }}</h4>
  <div nz-row [nzGutter]="[16, 16]">
    <div nz-col class="gutter-row" nzLg="12">
      <mb-select-unit
        [mbDisable]="typeAction === screenType.detail || checkDisabledHandleSingle()"
        formControlName="proposeUnit"
        mbLabelText="{{ 'development.promulgate.search.proposeUnit' | translate }}
        <span class='label__required'>*</span>"
        mbPlaceholder="{{ 'development.promulgate.search.proposeUnit' | translate }} "
        (ngModelChange)="onChangeUnit($event?.orgId)"
        [mbType]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['proposeUnit'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['proposeUnit'].errors != null"
        [mbErrors]="formSuggestionsPersonal.controls['proposeUnit'].errors"
        [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
      ></mb-select-unit>
    </div>
    <div nz-col class="gutter-row" nzLg="12">
      <mb-select
        [mbDisable]="typeAction === screenType.detail || checkDisabledHandleSingle()"
        formControlName="proposeTitle"
        mbKeyLabel="jobName"
        mbKeyValue="jobId"
        mbLabelText="{{ 'development.promulgate.search.proposeTitle' | translate }}
        <span class='label__required'>*</span>"
        mbPlaceholder="{{ 'development.promulgate.search.proposeTitle' | translate }} "
        [mbDataSelects]="jobDTOS"
        [mbType]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['proposeTitle'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['proposeTitle'].errors != null"
        [mbErrors]="formSuggestionsPersonal.controls['proposeTitle'].errors"
        [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
      ></mb-select>
    </div>
    <div nz-col class="gutter-row" nzLg="12">
    </div>
  </div>

  <div nz-row [nzGutter]="[16, 16]">
    <div nz-col class="gutter-row" nzLg="12">
      <mb-input-text
        [mbDisable]="checkDisplayCode === ConstantsFormGroup.DCDD || typeAction === screenType.detail || checkDisabledHandleSingle()"
        formControlName="proposeReason"
        [mbMaxLength]="500"
        [mbIsTextAre]='true'
        [mbConfig]="{ rows: 4, autoSize: true }"
        mbLabelText="{{ 'development.proposed-unit.table.recommendedReason2' | translate }}
        <span class='label__required'>*</span>"
        mbPlaceholderText="{{ 'development.proposed-unit.table.recommendedReason2' | translate }}"
        [mbType]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['proposeReason'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['proposeReason'].errors != null"
        [mbErrors]="formSuggestionsPersonal.controls['proposeReason'].errors"
        [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
      ></mb-input-text>
    </div>
    <div nz-col class="gutter-row" nzLg="12">
      <mb-input-text
        [mbDisable]="checkDisplayCode === ConstantsFormGroup.DCDD || typeAction === screenType.detail || checkDisabledHandleSingle()"
        formControlName="commitment"
        [mbMaxLength]="500"
        [mbIsTextAre]='true'
        [mbConfig]="{ rows: 4, autoSize: true }"
        mbLabelText="{{ 'development.proposed-unit.table.personalCommitment' | translate }}
        <span class='label__required'>*</span>"
        mbPlaceholderText="{{ 'development.proposed-unit.table.completeHandover' | translate }}"
        [mbType]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['commitment'].errors ? 'error' : 'default'"
        [mbShowError]="isSubmitFormSuggestionsPersonal && formSuggestionsPersonal.controls['commitment'].errors != null"
        [mbErrors]="formSuggestionsPersonal.controls['commitment'].errors"
        [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
      ></mb-input-text>
    </div>
    <div>
      <div nz-col nzLg="24" *ngIf="typeAction !== screenType.create && violationCode !== constantsVoditionsCode.PASSED && conditionViolations?.length > 0">
      <span class="title-section">{{ 'development.proposed-unit.proposeComment.conditionFault' | translate }}</span
      ><br/>
        <div>
          <ul *ngFor="let item of conditionViolations">
            <li>{{ item }}</li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</nz-card>


<nz-card *ngIf="!externalApprove" id="tab3crm">
  <ng-container>
    <h3 class="reportSectionElement">{{ 'development.proposed-unit.proposeMultiple.reportUnit' | translate }}</h3>
    <div
      nz-row
      [nzGutter]="[40, 32]"
      [formGroup]="formReportElement"
      class="infoPropose"
    >
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-input-text
          *ngIf="!externalApprove"
          [mbDisable]="checkDisplayCode === ConstantsFormGroup.DCDD || typeAction === screenType.detail || checkDisabledHandleSingle()"
          mbLabelText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          formControlName="statementNumber"
          [mbMaxLength]="10"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-date-picker
          *ngIf="!externalApprove"
          [mbDisabled]="checkDisplayCode === ConstantsFormGroup.DCDD || typeAction === screenType.detail || checkDisabledHandleSingle()"
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{ 'development.proposed-unit.reportCard.submissionDate' | translate }}"
          formControlName="submissionDate"
        >
        </mb-date-picker>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6"></div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6" *ngIf="!externalApprove">
        <span class="title-section"> {{ 'development.proposed-unit.reportCard.attachReport' | translate }} </span><br />
        <a (click)="downloadFile2(fileElement?.uid, fileElement?.fileName)">
          {{ fileElement?.fileName }}
        </a>
      </div>
    </div>
  </ng-container>
</nz-card>

<!-- tờ trình chỉnh sửa của Đon vị -->
<nz-card *ngIf="checkDisplayReportEdit()">
  <ng-container>
    <h3 class="reportSectionElement">{{ 'development.proposed-unit.proposeMultiple.reportUnitEdit' | translate }}</h3>
    <div
      nz-row
      [nzGutter]="[40, 32]"
      [formGroup]="formReportElementEdit"
    >
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-input-text
          [mbDisable]="true"
          mbLabelText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          mbPlaceholderText="{{ 'development.proposed-unit.reportCard.stateNumber' | translate }}"
          formControlName="statementNumber"
          [mbMaxLength]="10"
        >
        </mb-input-text>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6">
        <mb-date-picker
          [mbDisabled]="true"
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          mbLabelText="{{ 'development.proposed-unit.reportCard.submissionDate' | translate }}"
          formControlName="submissionDate"
        >
        </mb-date-picker>
      </div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6"></div>
      <div nz-col class="gutter-row paddingTopStatement" nzLg="6" *ngIf="!externalApprove">
        <span class="title-section"> {{ 'development.proposed-unit.reportCard.attachReport' | translate }} </span><br />
        <a *ngIf="checkViewFileElement()" (click)="downloadFile2(fileElementEdit?.uid, fileElementEdit?.fileName)">
          {{ fileElementEdit?.fileName }}
        </a>
      </div>

    </div>
  </ng-container>
</nz-card>



